BLAKE2b_State Struct Reference

BLAKE2b state information. More...

## Public Member Functions

void | Reset ()
word64 * | h ()
word64 * | t ()
word64 * | f ()
byte * | data ()

## Public Attributes

FixedSizeAlignedSecBlock< word64, 8+2+2, true > | m_hft
FixedSizeAlignedSecBlock< byte, BLOCKSIZE, true > | m_buf
size_t | m_len

## Static Public Attributes

static const int | BLOCKSIZE = BLAKE2b_Info::BLOCKSIZE

## Detailed Description

BLAKE2b state information.

Since
  Crypto++ 5.6.4

Definition at line 196 of file blake2.h.

The documentation for this struct was generated from the following files:

- blake2.h
- blake2.cpp